#
# spec file for package librle (Version 1.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libz
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         librle
Copyright:    Rob Hooft, Michael Mauldin, (see netpbm)
Group:        System Environment/Libraries
Autoreqprov:  on
Summary:      rle-graphics library
Version:      1.0.0
Release:      381
Source: librle.tar.bz2
Source1: urt-3.1b.tar.bz2
Patch: rle.dif
BuildRoot:    /var/tmp/%{name}-build

%description
The dynamic and static versions of librle.
The sources are contained in the libgr source package

Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

SuSE series: gra

%prep
%setup -n rle -b 1
%patch

%build
make CFLAGS="$RPM_OPT_FLAGS -DUSE_TIME_H"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{include,lib,man/{man3,man5}}
make PREFIX=$RPM_BUILD_ROOT/usr/X11R6 install
cp ../README README.urt
cd ../man
install man3/* $RPM_BUILD_ROOT/usr/X11R6/man/man3
install man5/rle.5 $RPM_BUILD_ROOT/usr/X11R6/man/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/include/rle.h
/usr/X11R6/include/rle_config.h
/usr/X11R6/lib/librle.a
/usr/X11R6/lib/librle.so.1.0.0
/usr/X11R6/lib/librle.so
%doc README.SuSE README.urt
%doc /usr/X11R6/man/man3/buildmap.3.gz
%doc /usr/X11R6/man/man3/bwdithermap.3.gz
%doc /usr/X11R6/man/man3/colorquant.3.gz
%doc /usr/X11R6/man/man3/dither.3.gz
%doc /usr/X11R6/man/man3/ditherbw.3.gz
%doc /usr/X11R6/man/man3/dithergb.3.gz
%doc /usr/X11R6/man/man3/dithermap.3.gz
%doc /usr/X11R6/man/man3/float_to_exp.3.gz
%doc /usr/X11R6/man/man3/hilbert.3.gz
%doc /usr/X11R6/man/man3/hilbert_c2i.3.gz
%doc /usr/X11R6/man/man3/hilbert_i2c.3.gz
%doc /usr/X11R6/man/man3/inv_cmap.3.gz
%doc /usr/X11R6/man/man3/librle.3.gz
%doc /usr/X11R6/man/man3/make_square.3.gz
%doc /usr/X11R6/man/man3/rgb_to_bw.3.gz
%doc /usr/X11R6/man/man3/rle_addhist.3.gz
%doc /usr/X11R6/man/man3/rle_cp.3.gz
%doc /usr/X11R6/man/man3/rle_debug.3.gz
%doc /usr/X11R6/man/man3/rle_delcom.3.gz
%doc /usr/X11R6/man/man3/rle_freeraw.3.gz
%doc /usr/X11R6/man/man3/rle_get_error.3.gz
%doc /usr/X11R6/man/man3/rle_get_set.3.gz
%doc /usr/X11R6/man/man3/rle_get_setup.3.gz
%doc /usr/X11R6/man/man3/rle_get_setup_ok.3.gz
%doc /usr/X11R6/man/man3/rle_getcom.3.gz
%doc /usr/X11R6/man/man3/rle_getraw.3.gz
%doc /usr/X11R6/man/man3/rle_getrow.3.gz
%doc /usr/X11R6/man/man3/rle_getskip.3.gz
%doc /usr/X11R6/man/man3/rle_hdr.3.gz
%doc /usr/X11R6/man/man3/rle_op.3.gz
%doc /usr/X11R6/man/man3/rle_open_f.3.gz
%doc /usr/X11R6/man/man3/rle_open_f_noexit.3.gz
%doc /usr/X11R6/man/man3/rle_put_init.3.gz
%doc /usr/X11R6/man/man3/rle_put_setup.3.gz
%doc /usr/X11R6/man/man3/rle_putcom.3.gz
%doc /usr/X11R6/man/man3/rle_puteof.3.gz
%doc /usr/X11R6/man/man3/rle_putraw.3.gz
%doc /usr/X11R6/man/man3/rle_putrow.3.gz
%doc /usr/X11R6/man/man3/rle_raw_alloc.3.gz
%doc /usr/X11R6/man/man3/rle_raw_free.3.gz
%doc /usr/X11R6/man/man3/rle_rawtorow.3.gz
%doc /usr/X11R6/man/man3/rle_row_alloc.3.gz
%doc /usr/X11R6/man/man3/rle_row_free.3.gz
%doc /usr/X11R6/man/man3/rle_skiprow.3.gz
%doc /usr/X11R6/man/man3/scanargs.3.gz
%doc /usr/X11R6/man/man5/rle.5.gz

%changelog -n librle
* Wed May 23 2001 - pblaha@suse.cz
- fix cast warning on ia64
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
- Fix use of wait3.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Mon May 15 2000 - nadvornik@suse.cz
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 22 1998 - ro@suse.de
- cant initialize rle_dflt_hdr with stdout
  instead check if NULL on usage
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / use manpages from original urt-sources
